com.buschmais.jqassistant.plugin.junit.api.model

## Interface TestSuiteDescriptor

- All Superinterfaces:
    com.buschmais.jqassistant.core.store.api.model.Descriptor, com.buschmais.jqassistant.plugin.common.api.model.FileDescriptor, com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor, com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      @Label(value="TestSuite")
      public interface TestSuiteDescriptor
      extends com.buschmais.jqassistant.core.store.api.model.NamedDescriptor, com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrors()`
    `int` | `getFailures()`
    `int` | `getSkipped()`
    `List<TestCaseDescriptor>` | `getTestCases()`
    `int` | `getTests()`
    `float` | `getTime()`
    `void` | `setErrors(int errors)`
    `void` | `setFailures(int failures)`
    `void` | `setSkipped(int skipped)`
    `void` | `setTests(int tests)`
    `void` | `setTime(float time)`

    - ### Methods inherited from interface com.buschmais.jqassistant.core.store.api.model.NamedDescriptor

      `getName, setName`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.xml.api.model.XmlFileDescriptor

      `getCharacterEncodingScheme, getRootElement, getXmlVersion, isStandalone, isXmlWellFormed, setCharacterEncodingScheme, setRootElement, setStandalone, setXmlVersion, setXmlWellFormed`

    - ### Methods inherited from interface com.buschmais.jqassistant.plugin.common.api.model.FileNameDescriptor

      `getFileName, setFileName`

- - ### Method Detail

    - #### getTests

          @Property(value="tests")
          int getTests()

    - #### setTests

          void setTests(int tests)

    - #### getFailures

          @Property(value="failures")
          int getFailures()

    - #### setFailures

          void setFailures(int failures)

    - #### getErrors

          @Property(value="errors")
          int getErrors()

    - #### setErrors

          void setErrors(int errors)

    - #### getSkipped

          @Property(value="skipped")
          int getSkipped()

    - #### setSkipped

          void setSkipped(int skipped)

    - #### getTime

          @Property(value="time")
          float getTime()

    - #### setTime

          void setTime(float time)

    - #### getTestCases

          @Relation(value="CONTAINS")
          List<TestCaseDescriptor> getTestCases()

Copyright © 2015 buschmais GbR. All rights reserved.